%define name uae
%define version 0.8.12
%define release 2mdk

Summary: A software emulation of the Amiga 500/1000/2000
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.freiburg.linux.de/~uae/
Source: ftp://ftp.freiburg.linux.de/pub/uae/%{name}-%{version}.tar.bz2
Patch0: uae-0.8.9-opt.patch.bz2
Patch1: uae-0.8.10-cmdline.patch.bz2
Copyright: GPL
Group: Emulators
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildPreReq: XFree86-devel, gtk+-devel, glib-devel

%description
UAE is a software emulation of the Amiga 500/1000/2000 system
hardware, which enables you to run most available Amiga software.  Since
it is a software emulation, no extra or special hardware is needed.
The Amiga hardware is emulated accurately, so that Amiga software 
is tricked into thinking it is running on the real thing.  Your computer's
display, keyboard, hard disk and mouse assume the roles of their emulated
counterparts.

Note that to fully emulate the Amiga you need the Amiga KickStart
ROM images, which are copyrighted and, of course, not included here.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .cmdline

%build
./configure --prefix=%{prefix} \
            --with-x \
            --enable-dga \
            --enable-vidmode \
            --enable-ui \
            --enable-threads \
            --enable-sound \
            --enable-scsi-device
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{bin,lib/uae/amiga/source,X11R6/bin}
install -m 755 -s readdisk $RPM_BUILD_ROOT/%{prefix}/bin
install -m 755 -s uae $RPM_BUILD_ROOT/%{prefix}/X11R6/bin
cp -pR amiga/* $RPM_BUILD_ROOT/%{prefix}/lib/uae/amiga/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{prefix}/bin/*
%{prefix}/lib/uae
%{prefix}/X11R6/bin/*

%changelog
* Thu Apr 20 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.12-2mdk
- fixed group.

* Thu Mar 16 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.12-1mdk
- updated to version 0.8.12.

* Thu Feb 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.8.11.

* Sat Oct 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.8.10.
- added patch to show config help.
- added BuildPreReq.

* Sat Jul 24 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.8.9-2mdk]
- mandrake adaptions

* Sun Jul 04 1999 Arne Coucheron <arneco@online.no>
  [0.8.9-1]

* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-2]
- changed the Summary tag
- changed the Group tag
- changed the %description
- installing the utilities
- readdisk moved to /usr/bin

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-1]
- corrected the Source tag

* Sat Jan 09 1999 Arne Coucheron <arneco@online.no>
  [0.8.7-1]

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [0.8.6-1]

* Sat Jul 11 1998 Arne Coucheron <arneco@online.no>
  [0.8.5-1]

* Wed Jun 03 1998 Arne Coucheron <arneco@online.no>
  [0.8.4-1]
